summaryrefslogtreecommitdiff
path: root/net-fs
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-02-07 13:09:18 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-02-07 13:09:18 +0300
commit02dc04603a3973b142a36e0cd05684133ef87a81 (patch)
treebaf9438bc546028ea0f41059d90af534bf4d1c19 /net-fs
parentnet-fs/minio: Version bump (diff)
downloadgentoo-02dc04603a3973b142a36e0cd05684133ef87a81.tar.gz
gentoo-02dc04603a3973b142a36e0cd05684133ef87a81.tar.bz2
gentoo-02dc04603a3973b142a36e0cd05684133ef87a81.zip
net-fs/mc: Version bump
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --ignore-arches
Diffstat (limited to 'net-fs')
-rw-r--r--net-fs/mc/Manifest1
-rw-r--r--net-fs/mc/mc-2019.02.06.20.26.56.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/net-fs/mc/Manifest b/net-fs/mc/Manifest
index 0af566aa7f5..1cc70e4bca1 100644
--- a/net-fs/mc/Manifest
+++ b/net-fs/mc/Manifest
@@ -4,3 +4,4 @@ DIST mc-2018.12.19.22.58.03.tar.gz 1732775 BLAKE2B 300a514c3eca52ab9b136c1d6a010
DIST mc-2019.01.10.00.38.22.tar.gz 1791858 BLAKE2B ae89c935634190e347be8c2f0a3dfff12872b4eca7aa17b79b5e05d7cb9be6fe39ff7b0ccbb6ddf5851ae3ee84a89eebf289d801340519e91470b3f5c60f7c37 SHA512 626e5adf5a3dcda0945e5fb37394097550f2976626da50e795b389d1d78545b1a2907c9b9fded5ce26823694e7e3981a69fa18ed00ae21d5c405c69c165ae1ce
DIST mc-2019.01.24.01.40.23.tar.gz 1791330 BLAKE2B a3fb0cb2cc199f4fe21c7770d58a3278d6a89a90916bd604293a5845064e337d36a5ac2e565d785a440803b6deefd84f114115a8f06dfc38d234225daa66a55e SHA512 215f91a8f4f325ffb8714d92a8030c36ada5251df4b24cb1d9b82d7f8d6c0f1188dfc2fdc36b1dcf8d842a805ccba3965977908a01e39e7893e05b131eb3b9b9
DIST mc-2019.01.30.19.57.22.tar.gz 1792065 BLAKE2B bb4a43549f5ff520c944a057fdecb80e892b03d9bdcce918613221357049e7ffcd77d51dce44b1253a3c912762749515d823cc8fe14a2dc8fb72060ff3943bd6 SHA512 14892985cdeba341c71bb93e41d468cae1f763fa7eb7489e0172a9bdb19e0f65efe41af0c2022e4c30c4018c6ee511bd992dc2b8906275c25896f084621ce96a
+DIST mc-2019.02.06.20.26.56.tar.gz 1855021 BLAKE2B 22d684e44e8ca8b6915fbcc05d734e522c3b3e37d8a05b7745f1255c7cc9d186513a2713f4b53afbe7613dcc7d61f5423df83afbafa700bf17398615aad57058 SHA512 4b0f7e14506eea6c7b2a44656b040775cff33686e03415d489696c3402deb7e41dfd5e6609f201902e5c6a42e39ece1cfd57cc2f934f796bd610a555eacd692d
diff --git a/net-fs/mc/mc-2019.02.06.20.26.56.ebuild b/net-fs/mc/mc-2019.02.06.20.26.56.ebuild
new file mode 100644
index 00000000000..7a3a66e507b
--- /dev/null
+++ b/net-fs/mc/mc-2019.02.06.20.26.56.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eapi7-ver bash-completion-r1 golang-build golang-vcs-snapshot
+
+MY_PV="$(ver_cut 1-3)T$(ver_cut 4-7)Z"
+MY_PV=${MY_PV//./-}
+
+EGIT_COMMIT="c352cadd4be2c6bed64884c78d1e8a8ac6efaf3f"
+
+EGO_PN="github.com/minio/mc"
+
+DESCRIPTION="Minio client provides alternatives for ls, cat on cloud storage and filesystems"
+HOMEPAGE="https://github.com/minio/mc"
+SRC_URI="https://${EGO_PN}/archive/RELEASE.${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="!!app-misc/mc"
+
+src_prepare() {
+ default
+ sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${VERSION}\"/"\
+ -e "s/-s //"\
+ -e "/time/d"\
+ -e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
+ src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ MC_RELEASE="${MY_PV}"
+ GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
+ popd || die
+
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dodoc -r README.md CONTRIBUTING.md docs
+ dobin mc
+ newbashcomp autocomplete/bash_autocomplete ${PN}
+ popd || die
+}